Summary:   Color management tools for MATE
Name:      mate-color-manager
Version:   1.8.1
Release:   1%{?dist}
License:   GPLv2+
Group:     Applications/System
URL:       https://github.com/NiceandGently/mate-color-manager
Source0:   http://download.raveit.de/pub/Mate-Desktop/SOURCE/%{name}-%{version}.tar.xz

Requires:  color-filesystem >= 1-7
Requires:  shared-mime-info
Requires:  shared-color-profiles
Requires:  yelp
Requires:  dconf

BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: desktop-file-utils
BuildRequires: vte-devel
BuildRequires: unique-devel >= 1.0.0
BuildRequires: libgudev1-devel
BuildRequires: dbus-glib-devel >= 0.73
BuildRequires: libXxf86vm-devel
BuildRequires: libXrandr-devel
BuildRequires: mate-desktop-devel
BuildRequires: lcms2-devel
BuildRequires: cups-devel
BuildRequires: sane-backends-devel
BuildRequires: libtiff-devel
BuildRequires: libcanberra-devel
BuildRequires: mate-common
BuildRequires: libnotify-devel >= 0.7.0
BuildRequires: exiv2-devel
BuildRequires: libexif-devel
BuildRequires: yelp-tools


%description
mate-color-manager is a session framework that makes it easy to manage, install
and generate color profiles in the MATE desktop.

%prep
%setup -q

#NOCONFIGURE=1 ./autogen.sh

%build
%configure

make %{?_smp_mflags}

%install
%{make_install}

%find_lang %{name} --with-gnome --all-name

# remove gsetting convert file, no need for this in fedora
# because MATE starts with gsetting in fedora.
rm -fv $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/org.mate.color-manager.gschema.migrate


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mcm-prefs.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mcm-import.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/mcm-picker.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/mcm-apply.desktop


%post
/bin/touch --no-create %{_datadir}/icons/mate
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
fi
/usr/bin/update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
/usr/lib/udev/rules.d/*.rules
%{_bindir}/mcm-*
%dir %{_datadir}/mate-color-manager/
%{_datadir}/mate-color-manager/mcm-*.ui
%dir %{_datadir}/mate-color-manager/targets/
%dir %{_datadir}/mate-color-manager/icons/
%{_datadir}/mate-color-manager/targets/*.png
%{_datadir}/mate-color-manager/icons/*.svg
%{_datadir}/man/man1/*.1.*
%{_datadir}/icons/mate/*/*/*.png
%{_datadir}/icons/mate/scalable/*/*.svg*
%{_datadir}/applications/mcm-prefs.desktop
%{_datadir}/applications/mcm-import.desktop
%{_datadir}/applications/mcm-picker.desktop
%{_sysconfdir}/xdg/autostart/mcm-apply.desktop
%{_datadir}/dbus-1/services/org.mate.ColorManager.service
%{_datadir}/dbus-1/interfaces/org.mate.ColorManager.xml
%{_sbindir}/mcm-install-system-wide
%{_datadir}/polkit-1/actions/org.mate.color.policy
%{_datadir}/glib-2.0/schemas/org.mate.color-manager.gschema.xml
%{_libexecdir}/mcm-helper-exiv


%changelog
* Tue Jul 14 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.1-1
- release for f22

* Sat Dec 06 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-2
- rebuild for f21 release
- remove gsetting convert file

* Sat Aug 02 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-1
- update to 1.8.0 release

* Sat Mar 08 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-1
- fix copyright and links in docs

* Sat Mar 08 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- switch to yelp-tools
- use --with-gnome --all-name for find locale
- use modern 'make install' macro
- remove --disable-scrollkeeper configure flag
- remove omf dir

* Thu Oct 31 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.2-1
- test build for new udev rules dir

* Thu Oct 31 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- update to new release
- switching to lcms2

* Tue May 28 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-2
- remove require mate-conf

* Thu May 23 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.0-1
- switch to libnotify
- update to 1.6.0

* Sat Dec 22 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.3-0101
- build against fedora official mate-desktop
- update to 1.5.3
- remove epoch
- remove upstreamed
- Do_not_use_the_deprecated_pango_cairo_font_map_create_context.patch
- remove upstreamed desktop file fixes (sed)
- remove desktop file patch
- remove upstreamed mate-color-manager_fc17_mcm-prefs.patch

* Sat Dec 08 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:1.5.2-0101
- update to 1.5.2
- add mcm-picker

* Thu Nov 22 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.5.0-0101
- update version to 1.5.0
- port to gsettings
- remove python_sitelib stuff in spec file
- fix scriptlet section
- add epoch

* Wed Sep 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-0102
- add  'OnlyShowIn=MATE' to desktop file

* Sun Sep 16 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-0101
- fix desktop files
- remove mate-color-manager_fix_desktop-files.patch

* Sun Sep 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-0100
- improve spec file
- security update

* Sun Jun 24 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-3
- fix desktop-files entries

* Sun Jun 24 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-2
- fix mcm-pref start in fc17
- add mate-color-manager_Do_not_use_the_deprecated_pango_cairo_font_map_create_context.patch
 
* Sun Jun 24 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.3.0-1
- build for mate desktop

* Tue Oct 05 2010 Richard Hughes <richard@hughsie.com> 2.32.0-2
- Rebuild after glibc breakage.

